## org.eclipse.datatools.sqltools.schemaobjecteditor.ui
Interface ISchemaObjectEditor

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorPart, IResourceChangeHandler, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart

All Known Implementing Classes:
  SchemaObjectEditor

    public interface ISchemaObjectEditor

extends IResourceChangeHandler, org.eclipse.ui.IEditorPart

Thru this interface, the consumer can get some run-time object of the editor.

Author:
  Idull

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`void` `clearDirty()` Clear the dirty status of the editor
`void` `fireDirtyPropertyChange()` Fires the editor dirty property change event
`ISchemaObjectEditorPage` `getActiveEditorPage()` Returns the active page
`ISchemaObjectEditorPage[]` `getAllPages()` Returns all the pages currently initialized in this editor
`int` `getCurrentPageIndex()` Returns the current page's index
`java.lang.Object` `getData()` Returns the application data
`java.lang.String` `getDisplayName()` Returns the display name of the current edited object (a meaningful name), this will be used for saving as purpose.
`java.lang.Object` `getEditModel()` Returns the edit model
`IEditorDescriptor` `getEditorDescriptor()` Returns the `IEditorDescriptor` instance containing some static information of this editor
`ISchemaObjectEditorHandler` `getEditorHandler()` Returns the handler
`ISchemaObjectEditorPage` `getPageById(java.lang.String id)` Returns the page with the given id
`ISchemaObjectEditorPage` `getPageByName(java.lang.String name)` Returns the page with the given name
`boolean` `isSyncSave()` Checks if current save mode is sync save
`void` `markDirty()` Mark the editor as dirty status
`boolean` `needRefreshAfterSave()`
`void` `setData(java.lang.Object _data)` Sets the application data
`void` `setEditModel(java.lang.Object model)` Sets the edit model
`void` `setEditorPartName(java.lang.String name)` Sets the part name for the schema object editor
`void` `setNeedRefreshAfterSave(boolean needRefresh)` Sets if the editor needs to be refreshed after it is saved
`void` `setSyncSaveMode()` Sets sync save mode for the next save process
`java.util.Map` `validate()` Validates the editor to see if there are errors

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IResourceChangeHandler
`resouceChanged`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite, init`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Method Detail

### clearDirty

    void clearDirty()

  Clear the dirty status of the editor

### fireDirtyPropertyChange

    void fireDirtyPropertyChange()

  Fires the editor dirty property change event

### getActiveEditorPage

    ISchemaObjectEditorPage getActiveEditorPage()

  Returns the active page

  Returns:

### getAllPages

    ISchemaObjectEditorPage[] getAllPages()

  Returns all the pages currently initialized in this editor

  Returns:

### getCurrentPageIndex

    int getCurrentPageIndex()

  Returns the current page's index

  Returns:

### getData

    java.lang.Object getData()

  Returns the application data

  Returns:

### getEditModel

    java.lang.Object getEditModel()

  Returns the edit model

  Returns:

### getEditorHandler

    ISchemaObjectEditorHandler getEditorHandler()

  Returns the handler

  Returns:

### getPageById

    ISchemaObjectEditorPage getPageById(java.lang.String id)

  Returns the page with the given id

  Parameters:
    `id` - the id of a page, should be unique for an editor
  Returns:

### getPageByName

    ISchemaObjectEditorPage getPageByName(java.lang.String name)

  Returns the page with the given name

  Parameters:
    `name` - name of editor pages, we suggest that the name is also unique for an editor, otherwise this method will only return the first one
  Returns:

### getEditorDescriptor

    IEditorDescriptor getEditorDescriptor()

  Returns the `IEditorDescriptor` instance containing some static information of this editor

  Returns:

### markDirty

    void markDirty()

  Mark the editor as dirty status

### setData

    void setData(java.lang.Object _data)

  Sets the application data

  Parameters:
    `_data` -

### setEditModel

    void setEditModel(java.lang.Object model)

  Sets the edit model

  Parameters:
    `model` -

### setEditorPartName

    void setEditorPartName(java.lang.String name)

  Sets the part name for the schema object editor

  Parameters:
    `name` -

### validate

    java.util.Map validate()

  Validates the editor to see if there are errors

  Returns:

### getDisplayName

    java.lang.String getDisplayName()

  Returns the display name of the current edited object (a meaningful name), this will be used for saving as purpose.

  Returns:

### setSyncSaveMode

    void setSyncSaveMode()

  Sets sync save mode for the next save process

### isSyncSave

    boolean isSyncSave()

  Checks if current save mode is sync save

### setNeedRefreshAfterSave

    void setNeedRefreshAfterSave(boolean needRefresh)

  Sets if the editor needs to be refreshed after it is saved

  Parameters:
    `needRefresh` -

### needRefreshAfterSave

    boolean needRefreshAfterSave()

  Returns: